[android-components](../../../index.md) / [mozilla.components.browser.search.suggestions](../../index.md) / [SearchSuggestionClient](../index.md) / [FetchException](./index.md)

# FetchException

`class FetchException : `[`Exception`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-exception/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/search/src/main/java/mozilla/components/browser/search/suggestions/SearchSuggestionClient.kt#L51)

Exception types for errors caught while getting a list of suggestions

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `FetchException()`<br>Exception types for errors caught while getting a list of suggestions |
